[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# Tfields.CheckFieldName

Check field name for duplicate entries

## Declaration

Source position: db.pas line 1031

`public procedure Tfields.CheckFieldName(`
`const Value: String`
`);`

## Arguments

`Value` |  | Field name to check

## Description

CheckFieldName checks whether a field with name equal to Value (case insensitive) already appears in the list of fields (using TFields.Find). If it does, then an EDatabaseError exception is raised.

## See also

TField.FieldName |  | Name of the field
TFields.Find

The latest version of this document can be found at lazarus-ccr.sourceforge.net .